Skip to main content
We try to version the API using dates to maintain a highly backwards compatible API. You can specify a version using the tally-version header, e.g. tally-version: 2025-02-01.
2026-06-19
v0.8.0

New endpoints

  • GET /forms/{formId}/analytics/metrics
    Get aggregate form metrics
  • GET /forms/{formId}/analytics/visits
    Get form visits over time
  • GET /forms/{formId}/analytics/submissions
    Get completed and partial submissions over time
  • GET /forms/{formId}/analytics/dimensions
    Get visitor breakdowns by source, browser, OS, device and location
  • GET /forms/{formId}/analytics/drop-off
    Get per-question drop-off statistics
2026-06-02
v0.7.0

Changed endpoints

  • POST /forms
    Form settings accept rich text (html with mentions) for email and redirect fields
  • GET /forms/{formId}
    Form settings now return rich text (html with mentions) for email and redirect fields
  • PATCH /forms/{formId}
    Form settings accept rich text (html with mentions) for email and redirect fields
2026-05-07
v0.6.0

Changed endpoints

  • GET /forms/{formId}/submissions
    Each submission now includes previewUrl and pdfUrl
  • GET /forms/{formId}/submissions/{submissionId}
    The response now includes previewUrl and pdfUrl
2026-02-09
v0.5.0

Changed endpoints

  • GET /forms/{formId}/questions
    Field references (used for default answers and mentions) can now resolve to utility fields, such as utility::today()
2026-02-05
v0.4.0

Breaking changes

  • Block payloads are now validated against the schema. Requests with invalid block payload structures will be rejected with a 400 error. Previously, malformed block payloads were accepted silently.
2025-05-30
v0.3.0

New endpoints

  • GET /forms/{formId}/questions
    Get form questions
  • GET /forms/{formId}/submissions/{submissionId}
    Get a specific form submission
  • GET /organizations/{organizationId}/users
    View organization users
  • DELETE /organizations/{organizationId}/users/{userId}
    Remove users from organization
  • GET /organizations/{organizationId}/invites
    View pending invites
  • POST /organizations/{organizationId}/invites
    Invite users to organization
  • DELETE /organizations/{organizationId}/invites/{inviteId}
    Cancel pending invites
  • GET /webhooks
    List configured webhooks
  • GET /webhooks/{webhookId}/events
    List webhook events
  • POST /webhooks/{webhookId}/events/{eventId}
    Retry webhook events

Changed endpoints

  • GET /forms/{formId}/submissions
    Added new filtering options: startDate, endDate & afterId
2025-02-01
v0.2.0

New endpoints

  • GET /users/me

Changed endpoints

  • GET /forms
    Now returns a paginated response instead of a flat list.
  • GET /workspaces
    Now returns a paginated response instead of a flat list.

Deprecated endpoints

  • GET /me
2025-01-15
v0.1.0
Hello world! 🎉